﻿@model IEnumerable<AutoSaloni.Models.Auto>

@{
    ViewBag.Title = "Index";
}

<h2>Lista automobila</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Proizvodjac.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Salon.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Model)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Year)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Volume)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Color)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Proizvodjac.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Salon.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Model)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Year)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Volume)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Color)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
@Html.ActionLink("Back to List", "Index", "Salons")